alias vapi mod_ib_mgt
alias /dev/mosal mlxsys
alias /dev/vipkl mod_vip
alias /dev/ib_mgt mod_ib_mgt

options mod_thh disable_msix=0
options mod_rhh disable_msix=0

# If your chipset is ServerWork HT2000 chipset
# set this value to 1

options mod_thh pci_express_use_bios=0 
options mod_rhh pci_express_use_bios=0

# mlxsys
install mlxsys /sbin/modprobe -q --ignore-install mlxsys ; { rm -f /dev/mosal; [ "x$(awk '($2=="mosal") {print $1}' /proc/devices)" != "x" ] && mknod /dev/mosal c `awk '($2=="mosal") {print $1}' /proc/devices` 0; }
remove mlxsys /sbin/modprobe -r -q --ignore-remove mlxsys && { rm -f /dev/mosal; }

# mod_vapi
install mod_vip /sbin/modprobe -q --ignore-install mod_vip ; { rm -f /dev/vipkl; mknod /dev/vipkl c `awk '($2=="mellanox_vipkl") {print $1}' /proc/devices` 1; }
remove mod_vip /sbin/modprobe -r -q --ignore-remove mod_vip && { rm -f /dev/vipkl; }

# mod_thh
install mod_thh /sbin/modprobe -q --ignore-install mod_thh av_in_host_mem=1
remove mod_thh { /sbin/modprobe -r -q --ignore-remove mod_thh; }

# mod_rhh
install mod_rhh /sbin/modprobe -q --ignore-install mod_rhh
remove mod_rhh { /sbin/modprobe -r -q --ignore-remove mod_rhh; }

# mod_ib_mgt
install mod_ib_mgt open_hcas -p -f /usr/voltaire/config/hca_profile.ini && /sbin/modprobe -q --ignore-install mod_ib_mgt ib_mgt_qp0_only=1 ; { rm -f /dev/ib_mgt; mknod /dev/ib_mgt c `awk '($2=="mellanox_ib_mgt") {print $1}' /proc/devices` 1; }
remove mod_ib_mgt /sbin/modprobe -r -q --ignore-remove mod_ib_mgt && { rm -f /dev/ib_mgt; } && close_hcas

